Skip to content
Start here

List Cloudflare colos

zero_trust.dex.colos.list(ColoListParams**kwargs) -> SyncSinglePage[ColoListResponse]
GET/accounts/{account_id}/dex/colos

List Cloudflare colos that account’s devices were connected to during a time period, sorted by usage starting from the most used colo. Colos without traffic are also returned and sorted alphabetically.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
from_: str

Start time for connection period in ISO (RFC3339 - ISO 8601) format

to: str

End time for connection period in ISO (RFC3339 - ISO 8601) format

sort_by: Optional[Literal["fleet-status-usage", "application-tests-usage"]]

Type of usage that colos should be sorted by. If unspecified, returns all Cloudflare colos sorted alphabetically.

One of the following:
"fleet-status-usage"
"application-tests-usage"
ReturnsExpand Collapse
class ColoListResponse:
airport_code: str

Airport code

city: str

City

country_code: str

Country code

List Cloudflare colos

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.dex.colos.list(
    account_id="01a7362d577a6c3019a474fd6f485823",
    from_="2023-08-20T20:45:00Z",
    to="2023-08-24T20:45:00Z",
)
page = page.result[0]
print(page.airport_code)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "airportCode": "SFO",
      "city": "San Francisco",
      "countryCode": "US"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "airportCode": "SFO",
      "city": "San Francisco",
      "countryCode": "US"
    }
  ]
}